package com.ruoyi.system.service;

import com.ruoyi.common.core.domain.AjaxResult;
import com.ruoyi.common.core.domain.entity.ResidentInfo;
import com.ruoyi.common.core.domain.entity.StaffManage;

/**
 * 首页统计Service接口
 *
 * @author boman
 * @date 2025-03-06
 */
public interface IStatisticsService {

    /**
     * APP首页统计
     */
    AjaxResult numApp();

    AjaxResult numCar();

    /**
     * APP首页红点统计
     */
    AjaxResult wuYeTips(StaffManage staffManage);

    /**
     * APP首页红点业主统计
     */
    AjaxResult yeZhuTips(ResidentInfo residentInfo);
    /**
     * web车辆管控统计
     */
    AjaxResult vehicleControl();
}
